<?php
 /**
 * @property string event_date_start
 * @property string event_date_end
 * @property string kemlerSearchString
 * @property string search_speed_start
 * @property string search_speed_end
 * @property string searchColor
 * @property string searchBookmarked
*/
interface IVehicleEvent
{
  /*
 public function tableName();

 public function myAttributeLabels();

 public function rules();

 public function getBookmarkData();

 public function withBookmark( CDbCriteria $criteria = NULL);

 public function relations();

 public function behaviors();

 public function search( array $params = NULL);
 
 public static function getNationCodesList();
*/
 public function getKemler();

 public function getCustom_nationality();

 public function getNationalityCode();

 public function getCustom_vehicle_type();

 public function getVehicleClass();

 public function getEventDateTime();
/**
   *
   * @return string
   */
 public function getPreviewPhotoUrl();
/**
   *
   * @return string
   */
 public function getPreviewColorPhotoUrl();

 public function getGateLabel();

 public function getGateShortLabel();

 public function getVehicleSpeed();

 public function getSpeedLimitSignList();

 public function getYellowBarType();

}


